/**
 * @module Core
 */
import { IResolver, ICallback } from '../Contracts';
/**
 * Calls a function and tracks it's completion in multiple ways. If original function
 * relies on `done`, then it will wait for `done` to be called. Also if timeout is
 * defined, the function will fail if doesn't return before the timeout.
 */
export declare function Callable<T extends any[]>(resolveFn: IResolver<T>, callback: ICallback<T>, timeout: number): Promise<void>;
