/**
 * @module Core
 */
import { IResolver, ICallback } from '../Contracts';
/**
 * Hook class is used for running the group hooks.
 */
export declare class Hook<T extends any[]> {
    private _resolveFn;
    private _fn;
    private _hookLifecycle;
    constructor(_resolveFn: IResolver<T>, _fn: ICallback<T>, _hookLifecycle: string);
    /**
     * Run the hook. The hooks will raise errors and the parent test or
     * group should emit required events for them.
     */
    run(): Promise<void>;
}
