/**
 * @module SlimRunner
 */
/**
 * Loads files using the glob patterns.
 *
 * @class Loader
 */
export declare class Loader {
    private _glob;
    private _filterFn;
    /**
     * Define the glob for the files
     */
    files(glob: string[] | string): void;
    /**
     * Define a custom filter function to filter files
     */
    filter(cb: (file: string) => void): void;
    /**
     * Returns an array of sorted files based on the glob
     * pattern.
     */
    loadFiles(): Promise<string[]>;
}
