/**
 * @module Core
 */
import { IReport, IGroupReport, ITestReport } from '../Contracts';
/**
 * Tests store class records the tests being executed and
 * returns a report to be used by the reporters.
 */
export declare class TestsStore {
    private _store;
    private _processStart;
    /**
     * Returns the currently active group
     */
    get activeGroup(): {
        title: string;
        failedTests: {
            title: string;
            error: Error;
        }[];
        failedHooks: {
            title: string;
            error: Error;
        }[];
    };
    /**
     * Record the group
     */
    recordGroup(group: IGroupReport): void;
    /**
     * End the group and record failed hooks
     */
    endGroup(group: IGroupReport): void;
    /**
     * Record the test
     */
    recordTest(test: ITestReport): void;
    /**
     * Open store
     */
    open(): void;
    /**
     * Close store
     */
    close(): void;
    /**
     * Return store report
     */
    getReport(): IReport;
}
/**
 * Returns a boolean telling if exception is part of core exceptions or
 * not.
 */
export declare function isCoreException(error: any): boolean;
